jDownloadsownloads.com



Author Topic: Joomla! 2.5.28 to jD 3.2 Transition  (Read 556 times)

0 Members and 1 Guest are viewing this topic.

Offline senol

  • Newbie
  • *
  • Posts: 5
Joomla! 2.5.28 to jD 3.2 Transition
« on: 15.12.2017 15:41:45 »
Joomla! At site 2.5.28, we use jdownloads 1.9.1.6.

I want to upgrade my website to Joomla 3.x version. I am getting the error 504 Gateway Timeout when uploading joomla 2.5.28 to jd 2.5.30, the number of files is too much on the site.

Is there any other way around this?

Will jD 1.9.1.6 database tables not work in Joomla 3.x?

Offline ColinM

  • Moderator
  • *
  • Posts: 3.365
Re: Joomla! 2.5.28 to jD 3.2 Transition
« Reply #1 on: 15.12.2017 16:58:19 »
Hi
The jD 3.2 series database tables are quite different!  Please see the articles below on upgrading from jD 1.9.1.6 to the current version.

 http://www.jdownloads.net/documentations/category/migration-to-jd3-2-series

The specific article that is probably most relevant is
http://www.jdownloads.net/documentations/item/from-jd1-9-1-x-on-joomla-2-5-to-jd3-2-on-joomla-3-2
This is because the jD tables in 1.9.1.6 and 1.9.2.11 are compatible so get to Joomla! 3 first.

Note that when upgrading Joomla 2.5.28 to the latest Joomla you have to go to Joomla! 3.5 first then go to Jommla! 3.8.2 - at the moment I am suspicious about Joomla 3.8.3

Colin

Offline senol

  • Newbie
  • *
  • Posts: 5
Re: Joomla! 2.5.28 to jD 3.2 Transition
« Reply #2 on: 15.12.2017 19:18:02 »
it actually switches to jd 2.5.30, but the import process takes too long.

Is there anyone on the demo site that can help?

Offline senol

  • Newbie
  • *
  • Posts: 5
Re: Joomla! 2.5.28 to jD 3.2 Transition
« Reply #3 on: 16.12.2017 11:48:30 »
I want to uninstall jD 1.9.1.6 and install 1.9.2.11 for the upgrade gives an error. what should I do

JHtml:: jquery not supported. File not found.

Offline ColinM

  • Moderator
  • *
  • Posts: 3.365
Re: Joomla! 2.5.28 to jD 3.2 Transition
« Reply #4 on: 16.12.2017 13:47:30 »
Hi
Have you read the Documentation?
I understand your start point is Joomla 2.5.28 with jD 1.9.1.6.  Is that correct?
If so then migrate from Joomla! 2.5.28 to Joomla! 3.5.x (Do not attempt to go directly to Joomla! 3.8.x)  There are many articles on the web about this Joomla migration.  It is not a simple exercise, it requires care and planning including checking templates and all extensions for compatibliity.  When you have a working Joomla! 3.5.x version then uninstall jD 1.9.1.6 but leaving the database and the files.  Next install jd 1.9.2.11. After that follow the docs on migrating from jD 1.9.2. 11 on Joomla 3 to jD 3.2
Best wishes
Colin

Offline senol

  • Newbie
  • *
  • Posts: 5
Re: Joomla! 2.5.28 to jD 3.2 Transition
« Reply #5 on: 21.12.2017 09:14:45 »
Hello there,
I have updated JDownloads version 1.9.1.6 to joomla version 3.5.1 and JDownloads version 1.9.2.11.
Clicking on the category preview link in admin panel gives the following error, what is the reason for this.

0 - PHP regular expression limit reached (pcre.backtrack_limit)

Offline ColinM

  • Moderator
  • *
  • Posts: 3.365
Re: Joomla! 2.5.28 to jD 3.2 Transition
« Reply #6 on: 21.12.2017 21:10:53 »
Hi
A likely reason is that you may have Deug set to a high level in Joomla!  Did you also upgrade all your Plugins and Modules?
You may need to turn of  Conten Plugins one at a time to see if you find the one that is a problem, then if not found do same with System Plugins, then Modules etc.  It is a process of 'errosion'

I suggest you could also Google "error 0 - php regular expression limit reached (pcre.backtrack_limit)"  to get more ideas.
Colin

Offline senol

  • Newbie
  • *
  • Posts: 5
Re: Joomla! 2.5.28 to jD 3.2 Transition
« Reply #7 on: 24.12.2017 22:37:51 »
Hello there,
Does jD version 1.9.2.11 work with joomla 3.8.3?

I am getting the following error when uploading a file

 You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 2

Offline ColinM

  • Moderator
  • *
  • Posts: 3.365
Re: Joomla! 2.5.28 to jD 3.2 Transition
« Reply #8 on: 29.12.2017 11:29:59 »
Hi
I have never tried that combination!  There were significant changes in Joomla! around  Joomla v3.5.1.  So thinking a little about it I am not sure that jD 1.9.2.11 would be compliant with Joomla 3.8.
I suggestyou go back to the Joomla! 3.5 setup and convert to the jD 3.2 series at that point.

Colin